Skip Menu |
 
rt.cpan.org will be shut down on March 1st, 2021.

This queue is for tickets about the Net-SNMP CPAN distribution.

Report information
The Basics
Id: 105722
Status: open
Priority: 0/
Queue: Net-SNMP

People
Owner: Nobody in particular
Requestors: ether [...] cpan.org
Cc: DBOOK [...] cpan.org
AdminCc:

Bug Information
Severity: (no value)
Broken in: (no value)
Fixed in: (no value)



Subject: incorrect VERSION sub
Download (untitled) / with headers
text/plain 221b
The implementation of 'sub VERSION' is wrong -- it should validate the arguments passed in. See perldoc UNIVERSAL. This sub should simply be removed, and the $VERSION format fixed so that it uses the normal decimal form.
Download (untitled) / with headers
text/plain 708b
To add: $VERSION = eval $VERSION; should *never* be run on a version tuple (non-decimal version). Its purpose is to remove the underscore from decimal versions so they can be used as a number, but with a version tuple it transforms it into a vstring, which is not an allowed format for $VERSION (by ExtUtils::MakeMaker, at least). Instead of overloading UNIVERSAL::VERSION and introducing any manner of possible incompatibility, I would suggest simply requiring version.pm 0.77 or higher as a dependency, and using it to declare your version in a way that will work across all perl versions (as noted in its synopsis, this should be one line): use version 0.77; our $VERSION = version->declare('v6.0.1');


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.